/*
 * Copyright (C) 2007 by Rui Dias <ruijdias@users.sourceforge.net>
 *
 * This file contains code from the libdvdread project.
 *
 * libdvdread: Provides a simple foundation for reading DVD-Video images.
 * Copyright (C) 2000, 2001, 2002, 2003 Martin Norb�ck, H�kan Hjort
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef DOC
%module(docstring="Pretty printing of the DVD commands (vm instructions).") cmd_print
#endif

%{
#include <dvdread/cmd_print.h>
%}

%feature("autodoc", "cmdPrint_mnemonic(command)\n\n\
Prints a text representation of the commands to stdout.") cmdPrint_mnemonic;
void cmdPrint_mnemonic(vm_cmd_t *command);

%feature("autodoc", "cmdPrint_CMD(row, command)\n\n\
Prints row, then a hex dump of the command followed by the text\n\
representation of the commands, as given by cmdPrint_mnemonic to\n\
stdout.") cmdPrint_CMD;
void cmdPrint_CMD(int row, vm_cmd_t *command);

