/*
 * Copyright (C) 2007 by Rui Dias <ruijdias@users.sourceforge.net>
 *
 * This file contains code from the libdvdread project.
 *
 * libdvdread: Provides a simple foundation for reading DVD-Video images.
 * Copyright (C) 2001, 2002 Billy Biggs <vektor@dumbterm.net>,
 *                          H�kan Hjort <d95hjort@dtek.chalmers.se>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef DOC
%module(docstring="Pretty printing of the NAV packets, PCI and DSI structs.") nav_print
#endif

%{
#include <dvdread/nav_print.h>
%}

%feature("autodoc", "navPrint_PCI(pci)\n\n\
Prints information contained in the PCI to stdout.") navPrint_PCI;
void navPrint_PCI(pci_t *);

%feature("autodoc", "navPrint_DSI(dsi)\n\n\
Prints information contained in the DSI to stdout.") navPrint_DSI;
void navPrint_DSI(dsi_t *);

